Functions

# glm::gtx::fast_trigonometry Namespace Reference

GLM_GTX_fast_trigonometry extension: Fast but less accurate implementations of trigonometric functions. More...

## Functions
template<typename T >
T | fastAcos (const T &angle)
| Faster than the common acos function but less accurate.
template<typename T >
T | fastAsin (const T &angle)
| Faster than the common asin function but less accurate.
template<typename T >
T | fastAtan (const T &angle)
| Faster than the common atan function but less accurate.
template<typename T >
T | fastAtan (const T &y, const T &x)
| Faster than the common atan function but less accurate.
template<typename T >
T | fastCos (const T &angle)
| Faster than the common cos function but less accurate.
template<typename T >
T | fastSin (const T &angle)
| Faster than the common sin function but less accurate.
template<typename T >
T | fastTan (const T &angle)
| Faster than the common tan function but less accurate.

## Detailed Description

GLM_GTX_fast_trigonometry extension: Fast but less accurate implementations of trigonometric functions.

## Function Documentation

T glm::gtx::fast_trigonometry::fastAcos | ( | const T & | angle ) |

Faster than the common acos function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::gtx::fast_trigonometry::fastAsin | ( | const T & | angle ) |

Faster than the common asin function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::gtx::fast_trigonometry::fastAtan | ( | const T & | angle ) |

Faster than the common atan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::gtx::fast_trigonometry::fastAtan | ( | const T & | y,
|  | const T & | x
| ) |  |

Faster than the common atan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::gtx::fast_trigonometry::fastCos | ( | const T & | angle ) |

Faster than the common cos function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::gtx::fast_trigonometry::fastSin | ( | const T & | angle ) |

Faster than the common sin function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::gtx::fast_trigonometry::fastTan | ( | const T & | angle ) |

Faster than the common tan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.